FreeMat

- Main Page
- Related Pages

vtkFunctionSet

Section: Visualization Toolkit Common Classes

# Usage

vtkFunctionSet specifies an abstract interface for set of functions of the form F_i = F_i(x_j) where F (with i=1..m) are the functions and x (with j=1..n) are the independent variables. The only supported operation is the function evaluation at x_j.

To create an instance of class vtkFunctionSet, simply invoke its constructor as follows

      obj = vtkFunctionSet

# Methods

The class vtkFunctionSet has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkFunctionSet class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkFunctionSet = obj.NewInstance ()`
- `vtkFunctionSet = obj.SafeDownCast (vtkObject o)`
- `int = obj.FunctionValues (double x, double f)` - Evaluate functions at x_j. x and f have to point to valid double arrays of appropriate sizes obtained with GetNumberOfFunctions() and GetNumberOfIndependentVariables.
- `int = obj.GetNumberOfFunctions ()` - Return the number of independent variables. Note that this is constant for a given type of set of functions and can not be changed at run time.
- `int = obj.GetNumberOfIndependentVariables ()`